Subject: FVWM: Gradient window titles flashing

From: Gregg Dameron <[email-masked]>
Date: Mon, 13 May 2002 19:03:54 -0600

Just upgraded from 2.4.5 to 2.4.7 (Solaris).  I have TitleStyle's
set up to display HGradients for ActiveUp, ActiveDown and Inactive
windows (all with -- Flat).  The window titles seem to be repainting
themselves more than in 2.4.5, causing them to "flash" whenever
their window gains or loses focus; on a mouse button 1 down; and
ClickTime milliseconds after a mouse button 1 up.  The behavior -
especially the latter - is a bit disturbing.  Developers - what say
you?  Am I seeing things?

Gregg Dameron

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 14 May 2002 10:58:32 +0200

> especially the latter - is a bit disturbing.  Developers - what say

Hard to say.  THere were no drawing related patches in 2.4.6 or
2.4.7, so this should theoretically happen with 2.4.5 too.  Maybe
the machine is busy and drawing is slower?

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Gregg Dameron <[email-masked]>
Date: Tue, 14 May 2002 09:23:30 -0600

> the machine is busy and drawing is slower?

Quite right; good catch.  To toggle between 2.4.5 and 2.4.7 quickly, I
put the latter on an NFS-mounted server.  The network latency was enough
to slow things down.  If I run it locally, things look good.  Thank you.